MIME::Parser::Reader(3)

NAME
MIME::Parser::Reader - a line-oriented reader for a MIME::Parser

SYNOPSIS
This module is used internally by MIME::Parser; you probably don't need to be looking at it at all. But just in case...

    ### Create a top-level reader, where chunks end at EOF:
    $rdr = MIME::Parser::Reader->new();

    ### Spawn a child reader, where chunks also end at a boundary:
    $subrdr = $rdr->spawn->add_boundary($bound);

    ### Spawn a child reader, where chunks also end at a given string:
    $subrdr = $rdr->spawn->add_terminator($string);

    ### Read until boundary or terminator:
    $subrdr->read_chunk($in, $out);

DESCRIPTION
A line-oriented reader which can deal with virtual end-of-stream defined by a collection of boundaries.

Warning: this is a private class solely for use by MIME::Parser. This class has no official public interface

SEE ALSO
MIME::Tools, MIME::Parser